# Enum Class AreaAction

java.lang.Object
java.lang.Enum<AreaAction>
org.daypilot.data.AreaAction

All Implemented Interfaces:
  `Serializable`, `Comparable<AreaAction>`, `Constable`

public enum AreaAction extends Enum<AreaAction>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUBBLE`
  Bubble will be activated on hover.
  `CONTEXT_MENU`
  Context menu will be displayed on click.
  `JAVASCRIPT`
  Custom JavaScript will be executed on click.
  `MOVE`
  Activates event moving on mouse down.
  `NONE`
  No action.
  `RESIZE_END`
  Activates event resizing on mouse down (changes event end).
  `RESIZE_START`
  Activates event resizing on mouse down (changes event start).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static AreaAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AreaAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final AreaAction NONE
    No action. The active area will be displayed but it clicking/dragging will not do anything.

  - ### JAVASCRIPT

    public static final AreaAction JAVASCRIPT
    Custom JavaScript will be executed on click.

  - ### CONTEXT_MENU

    public static final AreaAction CONTEXT_MENU
    Context menu will be displayed on click. Only supported for target objects that support context menu.

  - ### RESIZE_END

    public static final AreaAction RESIZE_END
    Activates event resizing on mouse down (changes event end). Only supported for events.

  - ### RESIZE_START

    public static final AreaAction RESIZE_START
    Activates event resizing on mouse down (changes event start). Only supported for events.

  - ### MOVE

    public static final AreaAction MOVE
    Activates event moving on mouse down. Only supported for events.

  - ### BUBBLE

    public static final AreaAction BUBBLE
    Bubble will be activated on hover.

- ## Method Details

  - ### values

    public static AreaAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AreaAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<AreaAction>`